/* 
 *  $Id: RouteEntry.java,v 1.5 1997/08/15 15:28:53 djw Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */


package ants;

import java.net.*;

/**
 * a single entry of route table
 *
 * @author David Wetherall
 */

public class RouteEntry {
  public int nxt;
  public ChannelAddress addr;

  public RouteEntry(int n, ChannelAddress a)
  {
    super();
    nxt = n;
    addr = a;
  }  

  public RouteEntry(String n, String a)
    throws Exception
  {
    super();
    nxt = NodeAddress.fromString(n);
    addr = ChannelAddress.New(a);
  }  
}

